Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.config
Class PlugInConfig

    java.lang.Object
      |
      +--org.apache.struts.config.PlugInConfig

All Implemented Interfaces:
  java.io.Serializable

public class PlugInConfig
extends java.lang.Object
implements java.io.Serializable

A JavaBean representing the configuration information of a `<plug-in>` element in a Struts configuration file.

Since:
  Struts 1.1
Version:
  $Revision: 1.1 $ $Date: 2003/08/22 08:14:32 $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `className` The fully qualified Java class name of the `PlugIn` implementation class being configured.
`protected boolean` | `configured` Has this component been completely configured?
`protected java.util.Map` | `properties` A `Map` of the name-value pairs that will be used to configure the property values of a `PlugIn` instance.

Constructor Summary
`PlugInConfig()`

Method Summary
`void` | `addProperty(java.lang.String name, java.lang.String value)` Add a new property name and value to the set that will be used to configure the `PlugIn` instance.
`void` | `freeze()` Freeze the configuration of this component.
`java.lang.String` | `getClassName()`
`java.util.Map` | `getProperties()` Return the properties that will be used to configure a `PlugIn` instance.
`void` | `setClassName(java.lang.String className)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### configured

    protected boolean configured

  Has this component been completely configured?

### properties

    protected java.util.Map properties

  A `Map` of the name-value pairs that will be used to configure the property values of a `PlugIn` instance.

### className

    protected java.lang.String className

  The fully qualified Java class name of the `PlugIn` implementation class being configured.

Constructor Detail

### PlugInConfig

    public PlugInConfig()

Method Detail

### getClassName

    public java.lang.String getClassName()

### setClassName

    public void setClassName(java.lang.String className)

### addProperty

    public void addProperty(java.lang.String name,
                            java.lang.String value)

  Add a new property name and value to the set that will be used to configure the `PlugIn` instance.

  Parameters:
    `name` - Property name
    `value` - Property value

### freeze

    public void freeze()

  Freeze the configuration of this component.

### getProperties

    public java.util.Map getProperties()

  Return the properties that will be used to configure a `PlugIn` instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation